org.apache.hc.client5.http.classic

## Interface ExecChain

    @Contract(threading=STATELESS)
    public interface ExecChain

Represents a single element in the client side classic request execution chain.

Since:
  5.0

### Nested Class Summary

Nested Classes
`static class` `ExecChain.Scope`

### Method Summary

Methods
`ClassicHttpResponse` `proceed(ClassicHttpRequest request, ExecChain.Scope scope)`

### Method Detail

#### proceed

    ClassicHttpResponse proceed(ClassicHttpRequest request,
                              ExecChain.Scope scope)
                                throws IOException,
                                       HttpException

Throws:
  `IOException`
  `HttpException`